Subject: bug#9943: 24.0.91; Abort in check_glyph_memory

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Nov 2011 20:35:04 -0400

> Thanks, I installed the same fix in xfns.c.

All this code duplication is really a bore.  We should really create
a new file (say "dispfns.c") where we can consolidate common code from
xfns, nsfns, and w32fns.  A good start would be that whenever we have to
make the same fix at all 3 places, we rearrange the code locally to call
a new function in dispfns.c which would receive the common part where
the fix can then be applied.

        Stefan